Bug 1099976 - virt-builder gives GPG warning message with gnupg2
Summary: virt-builder gives GPG warning message with gnupg2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pino Toscano
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1180170 1218766
Blocks: 1082754 1028676 1288337 1301891
TreeView+ depends on / blocked
 
Reported: 2014-05-21 17:01 UTC by Richard W.M. Jones
Modified: 2016-11-03 17:46 UTC (History)
8 users (show)

Fixed In Version: libguestfs-1.32.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1180170 (view as bug list)
Environment:
Last Closed: 2016-11-03 17:46:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description Richard W.M. Jones 2014-05-21 17:01:06 UTC
Description of problem:

Note this is when using the RHEL 7.1 preview packages from:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html
It is NOT a bug in any released version of RHEL or libguestfs.

$ virt-builder -l
gpg: Signature made Sat 10 May 2014 12:39:51 BST using RSA key ID E1B768A0
gpg: Good signature from "Richard W.M. Jones <rjones@redhat.com>"
gpg:                 aka "Richard W.M. Jones <rich@annexia.org>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: F777 4FB1 AD07 4A7E 8C87  67EA 9173 8F73 E1B7 68A0
centos-6                 x86_64     CentOS 6.5
cirros-0.3.1             x86_64     CirrOS 0.3.1
debian-6                 x86_64     Debian 6 (Squeeze)
debian-7                 x86_64     Debian 7 (Wheezy)
fedora-18                x86_64     Fedora® 18
fedora-19                x86_64     Fedora® 19
fedora-20                x86_64     Fedora® 20
[etc]

Why is the GPG warning printed?

Version-Release number of selected component (if applicable):

libguestfs-1.27.11-3.1.el7.x86_64

Comment 2 Pino Toscano 2015-01-08 14:41:38 UTC
This also happens when using gnupg2 (i.e. `gpg2`) for virt-builder's --gpg.

For example on a Fedora 20 box I get:

$ virt-builder --gpg /usr/bin/gpg -l
centos-6                 x86_64     CentOS 6.6
centos-7.0               x86_64     CentOS 7.0
cirros-0.3.1             x86_64     CirrOS 0.3.1
debian-6                 x86_64     Debian 6 (Squeeze)
debian-7                 x86_64     Debian 7 (Wheezy)
fedora-18                x86_64     Fedora® 18
fedora-19                x86_64     Fedora® 19
fedora-20                x86_64     Fedora® 20
fedora-21                x86_64     Fedora® 21 Server
scientificlinux-6        x86_64     Scientific Linux 6.5
ubuntu-10.04             x86_64     Ubuntu 10.04 (Lucid)
ubuntu-12.04             x86_64     Ubuntu 12.04 (Precise)
ubuntu-14.04             x86_64     Ubuntu 14.04 (Trusty)

$ virt-builder --gpg /usr/bin/gpg2 -l
gpg: Signature made Tue Dec  9 20:16:40 2014 CET using RSA key ID E1B768A0
gpg: Good signature from "Richard W.M. Jones <rjones@redhat.com>" [unknown]
gpg:                 aka "Richard W.M. Jones <rich@annexia.org>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: F777 4FB1 AD07 4A7E 8C87  67EA 9173 8F73 E1B7 68A0
centos-6                 x86_64     CentOS 6.6
centos-7.0               x86_64     CentOS 7.0
cirros-0.3.1             x86_64     CirrOS 0.3.1
debian-6                 x86_64     Debian 6 (Squeeze)
debian-7                 x86_64     Debian 7 (Wheezy)
fedora-18                x86_64     Fedora® 18
fedora-19                x86_64     Fedora® 19
fedora-20                x86_64     Fedora® 20
fedora-21                x86_64     Fedora® 21 Server
scientificlinux-6        x86_64     Scientific Linux 6.5
ubuntu-10.04             x86_64     Ubuntu 10.04 (Lucid)
ubuntu-12.04             x86_64     Ubuntu 12.04 (Precise)
ubuntu-14.04             x86_64     Ubuntu 14.04 (Trusty)

Comment 3 Pino Toscano 2015-01-08 15:37:25 UTC
This always happens in RHEL 7, because there gpg is actually gnupg2:

$ rpm -qf `which gpg`
gnupg2-2.0.22-3.el7.x86_64
$ ls -l `which gpg`
lrwxrwxrwx. 1 root root 4 Jun 11  2014 /usr/bin/gpg -> gpg2

Comment 7 Xianghua Chen 2016-06-27 13:28:39 UTC
Verified with the packages:
libguestfs-1.32.5-6.el7.x86_64

Verify steps:
#  virt-builder --gpg /usr/bin/gpg -l
opensuse-13.1            x86_64     openSUSE 13.1
opensuse-13.2            x86_64     openSUSE 13.2
opensuse-42.1            x86_64     openSUSE Leap 42.1
opensuse-tumbleweed      x86_64     openSUSE Tumbleweed
centos-6                 x86_64     CentOS 6.6
centos-7.0               x86_64     CentOS 7.0
centos-7.1               x86_64     CentOS 7.1
centos-7.2               x86_64     CentOS 7.2
cirros-0.3.1             x86_64     CirrOS 0.3.1
debian-6                 x86_64     Debian 6 (Squeeze)
debian-7                 x86_64     Debian 7 (Wheezy)
debian-7                 sparc64    Debian 7 (Wheezy) (sparc64)
debian-8                 x86_64     Debian 8 (Jessie)
fedora-18                x86_64     Fedora® 18
fedora-19                x86_64     Fedora® 19
fedora-20                x86_64     Fedora® 20
fedora-21                x86_64     Fedora® 21 Server
fedora-21                aarch64    Fedora® 21 Server (aarch64)
fedora-21                armv7l     Fedora® 21 Server (armv7l)
fedora-21                ppc64      Fedora® 21 Server (ppc64)
fedora-21                ppc64le    Fedora® 21 Server (ppc64le)
fedora-22                x86_64     Fedora® 22 Server
fedora-22                i686       Fedora® 22 Server (i686)
fedora-22                aarch64    Fedora® 22 Server (aarch64)
fedora-22                armv7l     Fedora® 22 Server (armv7l)
fedora-23                x86_64     Fedora® 23 Server
fedora-23                i686       Fedora® 23 Server (i686)
fedora-23                aarch64    Fedora® 23 Server (aarch64)
fedora-23                armv7l     Fedora® 23 Server (armv7l)
fedora-23                ppc64      Fedora® 23 Server (ppc64)
fedora-23                ppc64le    Fedora® 23 Server (ppc64le)
fedora-24                x86_64     Fedora® 24 Server
fedora-24                i686       Fedora® 24 Server (i686)
fedora-24                armv7l     Fedora® 24 Server (armv7l)
scientificlinux-6        x86_64     Scientific Linux 6.5
ubuntu-10.04             x86_64     Ubuntu 10.04 (Lucid)
ubuntu-12.04             x86_64     Ubuntu 12.04 (Precise)
ubuntu-14.04             x86_64     Ubuntu 14.04 (Trusty)
ubuntu-16.04             x86_64     Ubuntu 16.04 (Xenial)


There is no gpg error printed.

So verified.

Comment 9 errata-xmlrpc 2016-11-03 17:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.